apiVersion: apps/v1
kind: Deployment
metadata:
  name: myapp
spec:
  selector:
    matchLabels:
      app: myapp
  replicas: 2
  template:
    metadata:
      labels:
        app: myapp
    spec:
      containers:
        - name: myapp
          image: asia-south1-docker.pkg.dev/zippy-parity-410718/mytestrepo/mynodeimage
          ports:
            - containerPort: 3000